import { createServer } from '@marblejs/core';
import { IO } from 'fp-ts/lib/IO';
import listener from './http.listener';
import { connect } from './db';

connect();

const server = createServer({
  port: 1337,
  hostname: '127.0.0.1',
  listener,
});

const main: IO<void> = async () => (await server)();

main();
