import { requestValidator$, t } from '@marblejs/middleware-io';

export const validateLogin$ = requestValidator$({
  body: t.type({
    email: t.string,
    password: t.string,
  }),
});

export const validateAuthorize$ = requestValidator$({
  headers: t.type({
    authorization: t.string,
  }),
});
