import {
  requestValidator$,
  t,
} from '@marblejs/middleware-io';

export const validateRegister = requestValidator$({
  body: t.type({
    name: t.string,
    email: t.string,
    password: t.string,
  }),
});

export const validateGetUser = requestValidator$({
  params: t.type({
    id: t.string,
  }),
});

export const validateUpdateUser = requestValidator$({
  body: t.type({
    id: t.string,
    email: t.string,
    explorationTime: t.number,
    problemsSolved: t.number,
  }),
});
