import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { MatButtonModule } from '@angular/material/button';
import { MatIconModule } from '@angular/material/icon';
import { HelpDialogComponent } from './help-dialog.component';

const angularModules = [
  CommonModule,
];

const materialModules = [
  MatButtonModule,
  MatIconModule,
];

@NgModule({
  declarations: [HelpDialogComponent],
  imports: [
    ...angularModules,
    ...materialModules,
  ],
  exports: [
    HelpDialogComponent,
  ],
})
export class HelpDialogModule { }
