import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { MatCardModule } from '@angular/material/card';
import { MatListModule } from '@angular/material/list';
import { ProfileComponent } from './profile.component';

const angularModules = [
  CommonModule,
];

const materialModules = [
  MatCardModule,
  MatListModule,
];

@NgModule({
  declarations: [ProfileComponent],
  imports: [
    ...angularModules,
    ...materialModules,
  ],
})
export class ProfileModule { }
