export default `#version 300 es
precision mediump float;

in vec3 position;
in vec4 color;

uniform mat4 pMat;
uniform mat4 vMat;
uniform mat4 mMat;

out vec4 vColor;

void main()
{
  gl_Position = pMat * vMat * mMat * vec4(position, 1.0);
  vColor = color;
}
`;
