import mongoose, { Schema } from 'mongoose';
import IRole from '../interfaces/role';

const RoleSchema: Schema = new Schema(
  {
    name: {
      type: String,
    },
    description: {
      type: String,
    },
  },
  {
    timestamps: true,
  },
);

export default mongoose.model<IRole>('Role', RoleSchema);

