import { generateExpirationInHours } from '@marblejs/middleware-jwt';
import IUser from '../../interfaces/user';

const generateTokenPayload = ({ email, _id }: IUser) => ({
  _id,
  email,
  exp: generateExpirationInHours(4),
});

export default generateTokenPayload;
