import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { MatToolbarModule } from '@angular/material/toolbar';
import { MatIconModule } from '@angular/material/icon';
import { MatButtonModule } from '@angular/material/button';
import { PageHeaderComponent } from './page-header.component';

const angularModules = [
  CommonModule,
];

const materialModules = [
  MatButtonModule,
  MatIconModule,
  MatToolbarModule,
];

@NgModule({
  declarations: [PageHeaderComponent],
  imports: [
    ...angularModules,
    ...materialModules,
  ],
  exports: [
    PageHeaderComponent,
  ],
})
export class PageHeaderModule { }
