import { Component } from '@angular/core';
import Constants from 'src/constants';

interface Section {
  name: string;
  children?: SubSection;
}

type SubSection = string[];

@Component({
  selector: 'app-main',
  templateUrl: './main.component.html',
  styleUrls: ['./main.component.scss'],
})
export class MainComponent {
  showNav = false;

  title = Constants.appTitle;

  selectedSection: string;

  sections: Section[][] = [
    [
      {
        name: 'profile',
      },
    ],
    [
      // {
      //   name: '2d',
      //   children: [
      //     'exploration',
      //     'application',
      //     'creation',
      //   ],
      // },
      {
        name: 'activities',
        // children: [
        //   'exploration',
        //   'application',
        //   'creation',
        // ],
      },
    ],
  ];
}
