import Matrix from './matrix';
import Transformation from './transformation';

export default abstract class Transformation3d extends Transformation {
  constructor() {
    super();
    this.createMatrix();
  }

  createMatrix(): void {
    this._matrix = new Matrix(new Array(16).fill(0));

    this._matrix.setValue(1, 0, 0);
    this._matrix.setValue(1, 1, 1);
    this._matrix.setValue(1, 2, 2);
    this._matrix.setValue(1, 3, 3);
  }
}
