import { HttpClient, HttpHeaders } from '@angular/common/http';

import { Injectable } from '@angular/core';

@Injectable({

  providedIn: 'root',

})

export default class HttpService {
  protected apiUrl = 'http://localhost:1337';

  protected standardOptions = {

    headers: new HttpHeaders({
      'Content-Type': 'application/json',
      Accept: 'application/json',
      'Access-Control-Allow-Origin': '*',
    }),

  };

  constructor(
    protected http: HttpClient,
  ) { }
}
