export default `#version 300 es
precision mediump float;

in vec3 position;
in vec3 normal;
in vec2 uv;

uniform mat4 pMat;
uniform mat4 vMat;
uniform mat4 mMat;
uniform mat4 nMat;

out vec2 vUv;
out vec3 vNormal;

void main()
{
  gl_Position = pMat * vMat * mMat * vec4(position, 1.0);
  vUv = uv;
  vNormal = vec3(nMat * vec4(normalize(normal), 1.0));
}`;
